@import "../variables.color/variables.color.scss";
@import "../variables.color/variables.fonts.scss";
@import "../variables.color/variables.mixins.scss";
@import "../button.styles.scss/Button.styles.scss";

.main-training {
  background-color: lightyellow;
  min-height: 100vh;
  font-family: $users-main;
  background: linear-gradient(to right, #77ade3, #8abef2);
  &-container {
    @include max-width;
    padding-top: 7em;
    min-height: 100vh;
    @include respondTo(wide-phones) {
      padding: 0;
    }
    @include respondTo(phones) {
      padding: 0;
      margin: 0;
    }
    &-header {
      display: flex;
      justify-content: space-between;
      @include respondTo(phones) {
        display: block;
      }
      h2 {
        @include section-title;
        color: $users-main-alt;
        display: block;
        @include respondTo(phones) {
          padding: 1em 0 0;
          margin: 0;
          text-align: center;
        }
        @include respondTo(wide-phones) {
          padding: 1em 0 0;
          margin: 0;
          text-align: center;
        }
      }
      &-periods {
        @include respondTo(phones) {
          display: flex;
          justify-content: space-between;
          padding: 0.5em 1.5em;
        }
        @include respondTo(wide-phones) {
          display: flex;
          justify-content: space-between;
          padding: 0.5em 1.5em;
        }
        button {
          background: none;
          border: none;
          margin: 0 1em;
          padding: 0;
          color: $users-main-alt;
          text-transform: uppercase;
          font-weight: 600;
          opacity: 0.7;
          &:focus {
            outline: 0;
          }
        }
        .period-active {
          border-bottom: 5px solid;
          opacity: 1;
        }
      }
    }

    &-content {
      margin: 1em 6em 0;
      @include respondTo(xlg-desktops) {
        margin: 1em 9em;
      }
      @include respondTo(wide-phones) {
        margin: 1em 2em;
      }
      @include respondTo(phones) {
        margin: 1em 1.5em;
        text-align: center;
      }
      &-title {
        color: $users-main-alt;
        text-transform: uppercase;
        font-size: $h3-size;
        font-weight: 400;
        margin-bottom: 0.7em;
      }
      &-cards {
        display: flex;
        justify-content: space-between;
        place-items: flex-start;
        .training-card {
          min-width: 20%;
          box-shadow: 3px 3px 8px 0px rgba(0, 0, 0, 0.3);
          &-title {
            background-color: $users-main;
            padding: 0.5em;
            text-transform: capitalize;
            color: $users-main-alt;
            font-weight: 400;
            font-size: $h3-size;
            margin: 0;
          }
          &-training {
            color: $users-text-main;
            &-time {
              background-color: $white;
              padding: 0.8em;
              font-weight: 600;
            }
            &-teams {
              background-color: $light-grey;
              display: flex;
              justify-content: space-between;
              padding: 0.8em;
              font-weight: 400;
              &-string {
                display: flex;
                &-team {
                  &:after {
                    content: "-";
                    padding: 0 0.2em;
                  }
                  &:nth-last-child(-n + 1) {
                    &:after {
                      content: "";
                    }
                  }
                }
              }
              &-cloakroom {
                font-weight: 600;
                font-size: 0.9em;
              }
            }
          }
        }
      }
    }
  }
}
